> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# NFT Activities by Token ID

> Get a list of NFT Activities by token ID.



## OpenAPI

````yaml _openapi/nft-api.json GET /api/v1/developer/nfts/activities/{chain}/{contract_address}/{token_id}
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/developer/nfts/activities/{chain}/{contract_address}/{token_id}:
    get:
      tags:
        - NFTS
        - DEVELOPER
      summary: NFT Activities by Token ID
      description: Get a list of NFT Activities by token ID.
      operationId: >-
        get_nft_activities_by_token_id_api_v1_developer_nfts_activities__chain___contract_address___token_id__get
      parameters:
        - name: chain
          in: path
          required: true
          schema:
            enum:
              - ethereum
              - abstract
              - apechain
              - arbitrum
              - arbitrum-nova
              - avalanche
              - base
              - optimism
              - polygon
              - shape
              - soneium
              - xai
              - zero
              - zora
            type: string
            title: Chain
        - name: contract_address
          in: path
          required: true
          schema:
            type: string
            description: Address of the NFT Contract.
            title: Contract Address
          description: Address of the NFT Contract.
        - name: token_id
          in: path
          required: true
          schema:
            type: string
            description: Token ID of the NFT.
            title: Token Id
          description: Token ID of the NFT.
        - name: activity_types
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/SupportedReservoirActivityType'
            description: Types of activities to fetch.
            default:
              - transfer
              - sale
              - mint
            title: Activity Types
          description: Types of activities to fetch.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEnvelopeMultiItems_NftActivity_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    SupportedReservoirActivityType:
      type: string
      enum:
        - mint
        - sale
        - transfer
      title: SupportedReservoirActivityType
    ResponseEnvelopeMultiItems_NftActivity_:
      properties:
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/NftActivity'
              type: array
            - type: 'null'
          title: Items
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      title: ResponseEnvelopeMultiItems[NftActivity]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NftActivity:
      properties:
        type:
          $ref: '#/components/schemas/NftActivityType'
        block_timestamp:
          type: string
          title: Block Timestamp
        transaction_hash:
          type: string
          title: Transaction Hash
        log_index:
          type: integer
          title: Log Index
        batch_index:
          type: integer
          title: Batch Index
        from_address:
          type: string
          title: From Address
        to_address:
          type: string
          title: To Address
        token_address:
          type: string
          title: Token Address
        token_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Id
        amount:
          type: integer
          title: Amount
        price:
          anyOf:
            - $ref: '#/components/schemas/NftPrice'
            - type: 'null'
        token_name:
          type: string
          title: Token Name
        collection_name:
          type: string
          title: Collection Name
      type: object
      required:
        - type
        - block_timestamp
        - transaction_hash
        - log_index
        - batch_index
        - from_address
        - to_address
        - token_address
        - amount
        - token_name
        - collection_name
      title: NftActivity
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NftActivityType:
      type: string
      enum:
        - transfer
        - sale
        - mint
      title: NftActivityType
    NftPrice:
      properties:
        asset:
          $ref: '#/components/schemas/BaseAssetDetail'
        amount:
          $ref: '#/components/schemas/AssetAmount'
      type: object
      required:
        - asset
        - amount
      title: NftPrice
    BaseAssetDetail:
      properties:
        type:
          anyOf:
            - type: string
              enum:
                - native
                - evm_erc20
                - evm_erc721
                - evm_erc1155
                - sol_spl
                - sol_nft
                - btc_inscription
                - btc_brc20
                - btc_rune
                - sui_token
            - type: 'null'
          title: Type
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol
        decimals:
          anyOf:
            - type: integer
            - type: 'null'
          title: Decimals
        token_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Id
      type: object
      required:
        - type
      title: BaseAssetDetail
    AssetAmount:
      properties:
        raw_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Raw Amount
        amount_str:
          anyOf:
            - type: string
            - type: 'null'
          title: Amount Str
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
      type: object
      required:
        - raw_amount
      title: AssetAmount
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````